# Module: WpTheme::Vulnerable — Documentation by YARD 0.8.6.1

Class List Method List File List

# Module: WpTheme::Vulnerable

Included in:
  WpTheme
Defined in:
  lib/common/models/wp_theme/vulnerable.rb

## Instance Method Summary (collapse)

- - (String) vulns_file

  The path to the file containing vulnerabilities.

- - (String) vulns_xpath

## Instance Method Details

### - (`String`) vulns_file

The path to the file containing vulnerabilities

Returns:

- (`String`) —

  The path to the file containing vulnerabilities

    7
    8
    9
    10
    11
    12

    # File 'lib/common/models/wp_theme/vulnerable.rb', line 7

    def vulns_file
      unless @vulns_file
        @vulns_file = THEMES_VULNS_FILE
      end
      @vulns_file
    end

### - (`String`) vulns_xpath

Returns:

- (`String`)

    15
    16
    17

    # File 'lib/common/models/wp_theme/vulnerable.rb', line 15

    def vulns_xpath
      "//theme[@name='#{@name}']/vulnerability"
    end